<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);

include_once("include/zag.php");

$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {
include("include/who.php");
$dir = opendir ("MySql/base123/rating/eventfish");
echo'<div id="menu6">';
echo "<b><small>Рейтинг рыболовов</small></b><br/><br/>";

$dir = opendir ("MySql/base123/rating/eventfish");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

if($total!=="0"){

for ($i = 0; $i < $total; $i++){
$tex = @file("MySql/base123/rating/eventfish/$a[$i]");
$data = explode("||",$tex[0]);


$dat_log[]=$data[0];
$dat_kol[]=$data[1];
}


@arsort($dat_kol);



foreach($dat_kol as $k=>$v)
{
$dat_screen[]='<small><b><a href="search.php?nick='.$dat_log[$k].'&'.$sd.'&go=go">'.$dat_log[$k].'</a></b><br/>Наловил рыбы: '.$dat_kol[$k].'<br/></small>';


}



if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "<small>$i2.</small> $dat_screen[$i]";
}

echo"<br/><small>Всего рыболовов: $total</small>";

}else{echo"<small>Героев нет.</small>";}

}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

